# Generated by rust2rpm 15
%bcond_without check
# No devel stuff in released Fedora
%global __cargo_is_lib() false

%global crate bat

Name:           rust-%{crate}
Version:        0.15.4
Release:        3%{?dist}
Summary:        cat(1) clone with wings

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/bat
Source:         %{crates_source}
# Initial patched metadata
# * Switch to path-absolutize, https://github.com/sharkdp/bat/pull/1025
Patch0:         bat-fix-metadata.diff
Patch0001:      0001-Siwtch-to-path-absolutize.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Cat(1) clone with wings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0
# ASL 2.0 or Boost
# BSD
# CC0
# ISC
# LGPLv3+
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
# zlib
License:        ASL 2.0 and BSD and CC0 and ISC and LGPLv3+ and MIT and zlib

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{_bindir}/bat
%{_mandir}/man1/bat.1*
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/bat.fish

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/assets/manual/bat.1
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_completions.d \
  target/release/build/%{crate}-*/out/assets/completions/bat.fish

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Aug 16 15:01:11 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.4-3
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 21 10:43:31 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.4-1
- Update to 0.15.4

* Mon May 25 18:52:24 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.2-1
- Update to 0.15.2

* Tue May 12 2020 Josh Stone <jistone@redhat.com> - 0.15.1-1
- Update to 0.15.1

* Sat May 02 10:58:34 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Update console to 0.11.2

* Mon Apr 27 08:12:43 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 0.14.0-1
- Update to 0.14.0

* Wed Apr 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.0-2
- Rebuild for libgit2 1.0.0

* Sun Mar 22 14:24:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.0-1
- Update to 0.13.0

* Thu Mar 19 11:31:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.1-5
- Update git2 to 0.13

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.12.1-4
- Bump git2 to 0.12

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 09:50:18 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.12.1-2
- Bump git2 to 0.11

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 0.12.1-1
- Update to 0.12.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 14 18:28:38 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-3
- Update dirs to 2.0

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.11.0-2
- Bump git2 to 0.9

* Sat Jun 01 2019 Josh Stone <jistone@redhat.com> - 0.11.0-1
- Update to 0.11.0

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.9.0-1
- Update to 0.9.0

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Thu Oct 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Thu Sep 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Initial package
